export const AppReducerInitialState = {
    loading:true,
    domains:null,
    packageJson:null,
    dialog:{
        id:'loading',
        show:true
    }
}

function AppReducer(state,action){
    switch(action.type){
        case 'SET_LOADING':{
            return { ...state, loading:action.value}
        }        
        case 'SET_DOMAINS': {
            return { ...state, domains:action.domains}
        }
        case 'SET_PACKAGE_JSON': {
            return { ...state, packageJson:action.packageJson}
        }
        case 'SHOW_DIALOG':{
            const dialog = { show:true, id:action.id}
            return { ...state, dialog}
        }
        case 'HIDE_DIALOG':{
            const dialog = { ... state.dialog, show:false }
            return { ...state, dialog:dialog}
        }
        default: {
            return state;
        }
    }
}

export default AppReducer;